Description

We would like to be able to assign arbitrary tags to hosts, both in discovery and in the "all hosts" view. This would allow us to assign

metadata to hosts for non-provisioning purposes. Consider the use case of a datacenter technician who's planning maintenance work

in the datacenter. Being able to tag the hosts he will be working on (and later extract it via API for external reporting) would be

extremely useful. The same is true for nodes in discovery, which might be allocated to a specific project or have additional metadata

which is important (say, leased machines vs owned machines). Finally, being able to carry such data across the lifecycle of a host

(discovered -> provisioned -> discovered -> ...) would be very useful as well.

Related issues:

Related to Foreman - Feature #14308: Tagging Support for Hosts Duplicate 03/21/2016

History

#1 - 09/08/2015 10:58 AM - Ohad Levy

- Project changed from Discovery to Foreman

would static grouping be an option? (e.g. statistical or via search define which hosts you would like to be in a group?)

an option would be to reuse katello host collection ?

#2 - 09/08/2015 11:01 AM - Alex Balk

If there's a way to look at a host and see all static groups it belongs to, sure (guess that's the same as tagging)

Also, it would be great to be able to search for "tags = leased and tags = disk_replaced and tags = warranty_expires" (or static groups = ... )

#3 - 09/10/2015 02:38 AM - Alon Goldboim

Another option i assume would be to add another field to the model called "tag", show it on the hosts table and being able to edit it and search by it.

Though I don't know if this idea goes well with the host unification feature?

#4 - 09/10/2015 05:12 AM - Dominic Cleal

- Category set to Host groups

#5 - 11/01/2015 11:01 AM - Alon Goldboim

Hey, made a small plugin that still needs major upgrade but you can start playing with it and see if the functionality is ok (the hammer_cli,api sections

still needs to be made), https://github.com/alongoldboim/foreman_tags.

I would advise not to place on production foreman instance at first so you won't ruin anything.

#6 - 03/22/2016 03:20 AM - Marek Hulán

- Related to Feature #14308: Tagging Support for Hosts added

#7 - 03/29/2016 01:26 PM - Jason Hane

The tag plugin looks good.  Is there a way to add multiple tags per host and search for hosts based on tags?  We would like to use this for reporting

purposes (tag hosts with the group responsible for the host, what project it's for, etc).
